Package twisted :: Package mail :: Module mail :: Class MailService |
[frames | no frames]

## Class MailService

     Service --+
               |
    MultiService --+
                   |
                  MailService

An email service.

Method Summary
| `__init__(self)`
| `addDomain(self, name, domain)`
| `defaultPortal(self)`
| `getESMTPFactory(self)`
| `getPOP3Factory(self)`
| `getSMTPFactory(self)`
| `lookupPortal(self, name)`
| `requestAvatar(self, avatarId, mind, *interfaces)`
| ``setQueue`(self, queue)` Set the queue for outgoing emails.
Inherited from MultiService
| ``__iter__`(self)`
| ``addService`(self, service)`
| ``getServiceNamed`(self, name)`
| ``privilegedStartService`(self)`
| ``removeService`(self, service)`
| ``startService`(self)`
| ``stopService`(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`NoneType` | `aliases` = None
`NoneType` | `domains` = None
`NoneType` | `portals` = None
`NoneType` | `queue` = None
`NoneType` | `smtpPortal` = None
Inherited from MultiService
`tuple` | `__implements__` = `((<class twisted.application.service.IS...`
Inherited from Service
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Method Details

### setQueue(self, queue) Set the queue for outgoing emails.

Class Variable Details

    ### aliases Type: `NoneType` Value:
        None

    ### domains Type: `NoneType` Value:
        None

    ### portals Type: `NoneType` Value:
        None

    ### queue Type: `NoneType` Value:
        None

    ### smtpPortal Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net